XnThreadSafeQueue.h File Reference
`#include <XnQueue.h>`
`#include <XnOS.h>`

Go to the source code of this file.

## Classes

class | XnThreadSafeQueue

## Macros

#define | XN_DECLARE_THREAD_SAFE_QUEUE_WITH_TRANSLATOR_DECL(decl, Type, ClassName, Translator)
#define | XN_DECLARE_THREAD_SAFE_QUEUE_WITH_TRANSLATOR(Type, ClassName, Translator)
#define | XN_DECLARE_THREAD_SAFE_QUEUE_DECL(decl, Type, ClassName)
#define | XN_DECLARE_THREAD_SAFE_QUEUE(Type, ClassName)

## Macro Definition Documentation

## XN_DECLARE_THREAD_SAFE_QUEUE

#define XN_DECLARE_THREAD_SAFE_QUEUE | ( |  | Type,
|  |  | ClassName )

Value:
XN_DECLARE_THREAD_SAFE_QUEUE_DECL(, Type, ClassName)
XN_DECLARE_THREAD_SAFE_QUEUE_DECL
#define XN_DECLARE_THREAD_SAFE_QUEUE_DECL(decl, Type, ClassName)
Definition XnThreadSafeQueue.h:146

Declares a thread safe queue of type Type, named ClassName, that uses the default translator.

## XN_DECLARE_THREAD_SAFE_QUEUE_DECL

#define XN_DECLARE_THREAD_SAFE_QUEUE_DECL | ( |  | decl,
|  |  | Type,
|  |  | ClassName )

Value:
XN_DECLARE_DEFAULT_VALUE_TRANSLATOR_DECL(decl, Type, XN_DEFAULT_TRANSLATOR_NAME(ClassName)) \
XN_DECLARE_THREAD_SAFE_QUEUE_WITH_TRANSLATOR_DECL(decl, Type, ClassName, XN_DEFAULT_TRANSLATOR_NAME(ClassName))
XN_DECLARE_DEFAULT_VALUE_TRANSLATOR_DECL
#define XN_DECLARE_DEFAULT_VALUE_TRANSLATOR_DECL(decl, Type, ClassName)
Definition XnDataTypes.h:42
XN_DEFAULT_TRANSLATOR_NAME
#define XN_DEFAULT_TRANSLATOR_NAME(ClassName)
Definition XnDataTypes.h:118

Declares a thread safe queue of type Type, named ClassName, that uses the default translator. It is declared using the declspec decl.

## XN_DECLARE_THREAD_SAFE_QUEUE_WITH_TRANSLATOR

#define XN_DECLARE_THREAD_SAFE_QUEUE_WITH_TRANSLATOR | ( |  | Type,
|  |  | ClassName,
|  |  | Translator )

Value:
XN_DECLARE_THREAD_SAFE_QUEUE_WITH_TRANSLATOR_DECL(, Type, ClassName, Translator)
XN_DECLARE_THREAD_SAFE_QUEUE_WITH_TRANSLATOR_DECL
#define XN_DECLARE_THREAD_SAFE_QUEUE_WITH_TRANSLATOR_DECL(decl, Type, ClassName, Translator)
Definition XnThreadSafeQueue.h:101

Declares a thread safe queue of type Type, named ClassName. The class uses Translator for translating from Type to XnValue. It inherits from base. Note that base must be a derivative of XnQueue.

## XN_DECLARE_THREAD_SAFE_QUEUE_WITH_TRANSLATOR_DECL

#define XN_DECLARE_THREAD_SAFE_QUEUE_WITH_TRANSLATOR_DECL | ( |  | decl,
|  |  | Type,
|  |  | ClassName,
|  |  | Translator )

Declares a thread safe queue of type Type, named ClassName. The class uses Translator for translating from Type to XnValue. It is declared using the declspec decl. It inherits from base. Note that base must be a derivative of XnQueue.